Orders, filterable by scan state and retailer

GET/v1/orders
Auth: Factory API key

Filter values: not_scanned, made (produced but not yet in stock), in_stock, dispatched, stuck (sitting produced/in stock past the factory's stuck_after_days, or partially dispatched), or all (default). q matches order number.

Query parameters

NameTypeDescription
retailer_idstring·
filterstring·
one of: "all", "not_scanned", "made", "in_stock", "dispatched", "stuck"
default: "all"
qstring·
limitinteger·
default: 100
offsetinteger·
default: 0

Response

200

FieldTypeDescription
ordersobject[]·
idstring·
order_nostring·
statusstring·
one of: "awaiting_production", "in_production", "produced", "in_stock", "partially_dispatched", "dispatched", "cancelled"
production_datestring (date), nullable·
needed_bystring (date), nullable·
sourcestring·
one of: "upload", "api"
created_atstring (date-time)·
produced_atstring (date-time), nullable·
in_stock_atstring (date-time), nullable·
dispatched_atstring (date-time), nullable·
retailer_idstring·
retailer_namestring·
retailer_codestring·
stuckbooleanproduced/in_stock for longer than the factory's stuck_after_days, or partially dispatched
pieces_totalinteger·
pieces_scannedinteger·
pieces_in_stockinteger·
pieces_dispatchedinteger·
piece_statesstring[]·
itemsstringSKU + colour of every line, comma separated
countsobject·
allinteger·
not_scannedinteger·
madeinteger·
in_stockinteger·
dispatchedinteger·
stuckinteger·

Code samples

curl "https://api.skuflo.io/v1/orders?retailer_id=ret_9c1a4e&filter=all" \
  -H "Authorization: Bearer sk_live_..."